Subject: bug#50424: 27.2; Tab bar button mouse face not clearing entirely

From: Stephen Berman <[email-masked]>
Date: Mon, 06 Sep 2021 13:31:57 +0200

On Mon, 06 Sep 2021 13:50:52 +0300 Eli Zaretskii <[email-masked]> wrote:

>> Date: Mon, 06 Sep 2021 16:12:56 +0800
>> From:  Po Lu via "Bug reports for GNU Emacs,
>>  the Swiss army knife of text editors" <[email-masked]>
>>
>>
>> Enable tab-bar-mode, move the mouse pointer over the "+" button used to
>> create new tabs.  Once the button is highlighted by displaying a relief,
>> move the pointer back outside the tab bar.
>>
>> While most the relief around part of the button will be cleared, part of
>> the left side of the relief that surrounded the "+" button when it was
>> highlighted will be retained.
>>
>> To the best of my knowledge, this also appears on Emacs 28.
>
> FWIW, I cannot reproduce this, neither in Emacs 27.2 nor in Emacs 28.
>
> Maybe this is window-system dependent?
>
> Alternatively, if you have some "optimization" features enabled in
> your video drivers, disable them and try again.

I see the problem with Emacs 27 and 28 built with Gtk+ and with 28 built
with no toolkit (I don't have a built of 27 with no toolkit).  It looks
like a remnant pixel on the lower left, see attached screenshot.  It
disappears as soon as the window size changes.

Steve Berman